Suggested additional categories
curl --request GET \
--url https://api.partoo.co/v2/categories/{category_id}/suggestions \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/categories/{category_id}/suggestions"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/categories/{category_id}/suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"categories": [
{
"id": 7984,
"gmb_id": "gcid:atm",
"name": "ATM",
"state": "OK",
"block_push_long_description_on_gmb": false,
"live_id": null
},
{
"id": 4917,
"gmb_id": "gcid:savings_bank",
"name": "Savings bank",
"state": "OK",
"block_push_long_description_on_gmb": false,
"live_id": null
},
{
"id": 5742,
"gmb_id": "gcid:home_insurance_agency",
"name": "Home insurance agency",
"state": "OK",
"block_push_long_description_on_gmb": false,
"live_id": null
},
{
"id": 6678,
"gmb_id": "gcid:auto_insurance_agency",
"name": "Auto insurance agency",
"state": "OK",
"block_push_long_description_on_gmb": false,
"live_id": null
},
{
"id": 5520,
"gmb_id": "gcid:life_insurance_agency",
"name": "Life insurance agency",
"state": "OK",
"block_push_long_description_on_gmb": false,
"live_id": null
},
{
"id": 5339,
"gmb_id": "gcid:motorcycle_insurance_agency",
"name": "Motorcycle insurance agency",
"state": "OK",
"block_push_long_description_on_gmb": false,
"live_id": null
},
{
"id": 7133,
"gmb_id": "gcid:insurance_agency",
"name": "Insurance agency",
"state": "OK",
"block_push_long_description_on_gmb": false,
"live_id": null
},
{
"id": 7012,
"gmb_id": "gcid:investment_service",
"name": "Investment service",
"state": "OK",
"block_push_long_description_on_gmb": false,
"live_id": null
},
{
"id": 6026,
"gmb_id": "gcid:financial_consultant",
"name": "Financial consultant",
"state": "OK",
"block_push_long_description_on_gmb": false,
"live_id": null
}
]
}{
"errors": {
"json": {}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"json": "Resource not found"
}
}Categories
Suggested additional categories
This endpoint lets you retrieve Partoo’s suggestions for additional categories, based on a given category.
GET
/
categories
/
{category_id}
/
suggestions
Suggested additional categories
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Category id or Google's category id
Example:
"5706 or gcid:bank"
Query Parameters
Language to get the category name. If not given, the user's language is used.
Available language in the application
Available options:
fr, en, es, it, pt-br, de, ar, nl, pl, cs, ca, sk, pt, lv, ro, bg, hu Example:
"fr"
Response
OK
Show child attributes
Show child attributes
Example:
[
{
"id": 7984,
"gmb_id": "gcid:atm",
"name": "ATM",
"state": "OK",
"block_push_long_description_on_gmb": false,
"live_id": null
},
{
"id": 4917,
"gmb_id": "gcid:savings_bank",
"name": "Savings bank",
"state": "OK",
"block_push_long_description_on_gmb": false,
"live_id": null
},
{
"id": 5742,
"gmb_id": "gcid:home_insurance_agency",
"name": "Home insurance agency",
"state": "OK",
"block_push_long_description_on_gmb": false,
"live_id": null
},
{
"id": 6678,
"gmb_id": "gcid:auto_insurance_agency",
"name": "Auto insurance agency",
"state": "OK",
"block_push_long_description_on_gmb": false,
"live_id": null
},
{
"id": 5520,
"gmb_id": "gcid:life_insurance_agency",
"name": "Life insurance agency",
"state": "OK",
"block_push_long_description_on_gmb": false,
"live_id": null
},
{
"id": 5339,
"gmb_id": "gcid:motorcycle_insurance_agency",
"name": "Motorcycle insurance agency",
"state": "OK",
"block_push_long_description_on_gmb": false,
"live_id": null
},
{
"id": 7133,
"gmb_id": "gcid:insurance_agency",
"name": "Insurance agency",
"state": "OK",
"block_push_long_description_on_gmb": false,
"live_id": null
},
{
"id": 7012,
"gmb_id": "gcid:investment_service",
"name": "Investment service",
"state": "OK",
"block_push_long_description_on_gmb": false,
"live_id": null
},
{
"id": 6026,
"gmb_id": "gcid:financial_consultant",
"name": "Financial consultant",
"state": "OK",
"block_push_long_description_on_gmb": false,
"live_id": null
}
]
Was this page helpful?
⌘I